package no.uit.mar157.datagenerator;
import java.util.ArrayList;

/**
 * @author parallels
 *
 */
public class FastaEntry {
	private String description;
	private ArrayList<String> sequence;
	
	public FastaEntry() {
		this.description = ">\n";
		this.sequence = new ArrayList<String>();
	}
	
	/**
	 * @return description without the leading >
	 */
	public String getDescription() {
		return this.description.substring(1);
	}
	
	/**
	 * Set the description line of the FASTA entry
	 * 
	 * @param description the description line
	 */
	public void setDescription(String description) {
		this.description = description.trim();
	}
	
	/**
	 * Add a line to the sequence of the FASTA entry
	 * 
	 * @param sequenceLine the line to add
	 */
	public void addSequenceLine(String sequenceLine) {
		this.sequence.add(sequenceLine.trim().replace(" ", ""));
	}
	
	
	/**
	 * Return a string representation of the FASTA entry
	 * 
	 * @return 
	 */
	public String getEntry() {
		StringBuilder entry = new StringBuilder();
		//Header line
		entry.append(this.description + "\n");
		//Sequence lines
		for (String sequenceLine : this.sequence) {
			entry.append(sequenceLine + "\n");
		}
		return entry.toString();
	}
}
