package no.uit.mar157.common;

import java.util.ArrayList;
import java.util.Iterator;

/**
 * Created by Martin Ernstsen <martin.ernstsen@gmail.com>
 * Date: 9/30/13
 * Time: 11:11 AM
 */
public class PipelineDescription implements Iterable<PipelineStage> {
    private final ArrayList<PipelineStage> stages;
    private ArrayList<Long> currentVersion;

    public PipelineDescription(ArrayList<PipelineStage> stageList) {
        stages = stageList;
    }

    public void setCurrentVersion(ArrayList<Long> currentVersion) {
        this.currentVersion = currentVersion;
    }

    public ArrayList<Long> getSequenceNumbers() {
        return currentVersion;
    }

   public Iterator<PipelineStage> iterator() {
       return stages.iterator();
   }

    public int size() {
        return stages.size();
    }

    public PipelineStage getStage(int i) throws IndexOutOfBoundsException {
        return stages.get(i);
    }

    @Override
    public String toString() {
        return "PipelineDescription{" +
                "stages=" + stages +
                '}';
    }
}
